Bug 729517 - Can the catalog display the kbase summary on show.cgi
Summary: Can the catalog display the kbase summary on show.cgi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Wei Shen
QA Contact:
URL: http://hardware.redhat.com
Whiteboard:
Depends On:
Blocks: 722937
TreeView+ depends on / blocked
 
Reported: 2011-08-10 02:13 UTC by Rob Landry
Modified: 2014-06-23 01:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-08 21:29:56 UTC


Attachments (Terms of Use)

Description Rob Landry 2011-08-10 02:13:13 UTC
Description of problem:

Currently show.cgi provides the kbase #'s but no description of what content should be expected within those entries.  This request is for show.cgi to provide the kbase summary value directly so the reader has some indication of if the kbases are relevant to him or her without having to follow the link first.

Additional info:

Comment 5 Rob Landry 2011-08-11 20:04:31 UTC
In the template can the first 60 or so characters of the summary be displayed on the kbase line?  Perhaps something like anything less than 64 characters total be displayed, anything longer truncated @ 60 with " ..." after it?

Comment 6 Wei Shen 2011-08-15 10:15:18 UTC
I don't think it is good to do that, the subject would not be very long, if we truncate it, users can't figure out the whole thing, have  to click the link.

Comment 7 Rob Landry 2011-08-15 18:00:24 UTC
HTML title value alone is not enough to inform the reader.  The full title hover should remain with the full text of the summary.  You could attempt to keep the entire summary as displayed text if the UI is updated to properly wrap it in the space allotted.

Comment 8 Wei Shen 2011-08-18 11:50:15 UTC
please visited again, I have updated it

Comment 11 Wei Shen 2011-08-29 02:41:16 UTC
verified on web2 after adding a valid kbase account to localconfig

Comment 13 Rob Landry 2012-02-08 21:29:56 UTC
Closing as this is working on live now.


Note You need to log in before you can comment on or make changes to this bug.